Skip to Content
0
Former Member
Jul 09, 2015 at 10:04 AM

Issue on MSSQL version incompatibilty during HOM SYS copy

31 Views

Source system:

OS: Microsoft Windows 2003 Server 64 bit

DB: MSSQL 2005 64 bit

SAP: ECC6 SR2 dual stack

Kernel SAP: 700_REL UC 64bit

SAP_BASIS - 700 - 0026

SAP_ABA - 700 - 0026

PI_BASIS - 2005_1_700 - 0018

SAP_APPL - 603 - 0005

Target system:

OS: Microsoft Windows 2003 Server 64 bit

DB MSSQL 2008 64 bit

SAP: ECC6 SR2 dual stack

Kernel SAP: 700_REL UC 64bit

Same support package level

In order to perform a system upgrade, i've chosen to execute an homogeneous system copy as first step that leads me from MSSQL 2005 to MSSQL 2008 without changing the Windows platform neither the SAP kernel (these steps will be executed later).

As MSSQL 2008 is supported (PAM document clearly explain that), i've chosen to perform an homogeneus system copy instead of a MSSQL upgrade.

I'm using an old sapinst version, the same used to execute the export and the installation of the system, as the sap system still runs on 700_REL pl 353 unicode version 64bit kernel. Following the SAPinst version used:

SAPinst GUI

Version: 701.06.3

On a Windows 2003 server 64bit, i've correctly installed MSSQL 2008 R2 64bit taken from VBS script provided on disks 51044827 from the Marketplace.

During the import process, i'm facing a message from sapinst, which defenitely stops the process due to incompatibility version of MSSQL. Following the message received:

The MS SQL Server version 10 is not supported for the installation of this product. Use appropriate MS SQL Server version.

As i've checked the PAM before starting the import phase, i'm wondering why the MSSQL version is wrong. And if it's not a MSSQL version problem, what's the component that is raising an incompatibility issue?

Does anyone help me suggesting the right direction?
Kind regards
Massimo Solleretto